<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LImeRouteFilterGroup StructType
 * @subpackage Structs
 */
class LImeRouteFilterGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The groupTrustSetting
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $groupTrustSetting;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LImeRouteFilterGroup
     * @uses LImeRouteFilterGroup::setName()
     * @uses LImeRouteFilterGroup::setDescription()
     * @uses LImeRouteFilterGroup::setGroupTrustSetting()
     * @uses LImeRouteFilterGroup::setUuid()
     * @param string $name
     * @param string $description
     * @param string $groupTrustSetting
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $groupTrustSetting = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setGroupTrustSetting($groupTrustSetting)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LImeRouteFilterGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LImeRouteFilterGroup
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get groupTrustSetting value
     * @return string|null
     */
    public function getGroupTrustSetting()
    {
        return $this->groupTrustSetting;
    }
    /**
     * Set groupTrustSetting value
     * @param string $groupTrustSetting
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LImeRouteFilterGroup
     */
    public function setGroupTrustSetting($groupTrustSetting = null)
    {
        $this->groupTrustSetting = $groupTrustSetting;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LImeRouteFilterGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
